HUGO-CONVERT-TOJSON(1)

NAME

hugo-convert-toJSON - Convert front matter to JSON

SYNOPSIS

hugo convert toJSON [flags] [args]

DESCRIPTION

toJSON converts all front matter in the content directory to use JSON for the front matter.

OPTIONS

-h, --help[=false]
    help for toJSON

OPTIONS INHERITED FROM PARENT COMMANDS

--clock=""
    set the clock used by Hugo, e.g. --clock 2021-11-06T22:30:00.00+09:00

--config=""
    config file (default is hugo.yaml|json|toml)

--configDir="config"
    config dir

--debug[=false]
    debug output

-d, --destination=""
    filesystem path to write files to

-e, --environment=""
    build environment

--ignoreVendorPaths=""
    ignores any _vendor for module paths matching the given Glob pattern

--logLevel=""
    log level (debug|info|warn|error)

-o, --output=""
    filesystem path to write files to

--quiet[=false]
    build in quiet mode

-s, --source=""
    filesystem path to read files relative from

--themesDir=""
    filesystem path to themes directory

--unsafe[=false]
    enable less safe operations, please backup first

-v, --verbose[=false]
    verbose output

SEE ALSO

hugo-convert(1)